Summary: pktstat
Name: pktstat-netrate
Version: 1.7
Release: 1
Copyright: GPL
Group: Monitoring
Packager: linuxkid <linux@peanutlinux.org>
Source0: http://freshmeat.net/redir/pktstat/21569/url_tgz/pktstat.tar.gz
Source1: pktstat.desktop
Source2: netrate.desktop
Source3: netrate
Patch0: pktstat.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: libpcap ncurses python
BuildRequires: libpcap-devel ncurses-devel

%description
About: pktstat listens to the network and shows the bandwidth being consumed by 
packets of various kinds in realtime. It understands some protocols (including 
FTP, HTTP, and X11) and adds a descriptive name next to the entry (e.g., 'RETR 
cd8.iso', 'GET http://slashdot.org/' or 'xclock -fg blue').

%prep
%setup -q -n pktstat-%{version}
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man1}
cp pktstat %{SOURCE3} $RPM_BUILD_ROOT/usr/sbin
cp pktstat.1 $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities
cp %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
